Posted by & filed under IDE.

VS 2010 does support the new MVC 4, which includes the new Web API.

You need VS 2010 SP1 which you can get through the web platform installer (WPI).

I could not find the MVC 4 in my WPI.  Not sure why but you can get it here (http://www.microsoft.com/web/gallery/install.aspx?appid=MVC4VS2010)

The download opens WPI but I needed to close WPI first to get the download to work.

 

VS 2010 in WPI

SNAGHTML3f5b87a

MVC 4 in WPI

SNAGHTML3f64177